Download it now!
Bug 46565 - EasyHack: perl / autogen.sh should backup autogen.lastrun
Summary: EasyHack: perl / autogen.sh should backup autogen.lastrun
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Thomas Collerton
URL:
Whiteboard: target:3.6.0
Keywords: difficultyBeginner, easyHack, skillScript, topicCleanup
Depends on:
Blocks:
 
Reported: 2012-02-24 03:36 UTC by Michael Meeks
Modified: 2015-12-16 00:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2012-02-24 03:36:28 UTC
To make it easy to re-run autogen.sh without remembering lots of parameters, we have an autogen.lastrun file - unfortunately if you do something like:

./autogen.sh .sh

as I did somehow crazily ;-) then it trashes your last set of configuration parameters without hope.

So - it'd be wonderful to hack that script to backup autogen.lastrun to autogen.lastrun.bak before overwriting it if possible :-)

Thanks !
Comment 1 Not Assigned 2012-02-29 03:38:51 UTC
Thomas Collerton committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39d026a11fc67bc45fc974fe8eab04ef9499fa31

fdo#46565: perl / autogen.sh should backup autogen.lastrun
Comment 2 Not Assigned 2012-03-05 00:44:31 UTC
Thomas Collerton committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0847fd63d773732ff3e441ef868957c55760d69a

Improvement to fdo#46565
Comment 3 Rainer Bielefeld Retired 2012-04-05 08:09:05 UTC
I added Fix submitter as assignee because this will ease queries and bub tracking.
Comment 4 Robinson Tryon (qubit) 2015-12-16 00:20:13 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillScript,TopicCleanup )
[NinjaEdit]